QGIS Application - Feature request #16349
Make scale dependent visibility uniform for layers and labels
2017-03-13 03:07 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 24259
Description

the visibility widgets are different for layer general properties and label rendering properties. IMHO it would be appropriate to make them
uniform

Associated revisions

Revision 4134637 - 2017-06-09 04:46 AM - Nyall Dawson

[needs-docs] Use standard scale widgets and terminology for labeling

Also unify APl with other scale API.

Fix #16349

History

#1 - 2017-03-21 02:28 PM - Donovan Cameron

I like the option of having scale dependent labels and symbology separate.
Maybe make it an option to have them uniform.

For example, | have a really nice creek/rivers dataset that it excellent at large scales (zoomed in).

But at smaller scales (zoomed out) | have a generalized dataset without attributes for labeling so need to rely on labels from the creek/rivers dataset still
draw.

So when a user zooms out, the creeks/rivers dataset will turn off (symbol) wise and with some data defined labelling will still draw the rivers label (without
creeks) over the generalized dataset when that turns on.

#2 - 2017-03-22 12:11 AM - Paolo Cavallini

Sorry | was unclear: the options must stay separate, whet should be uniform is the interface: currently the same option looks different in the two interface,
and this is confusing for the user.

#3 - 2017-05-01 12:44 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-06-09 06:51 AM - Nyall Dawson

- % Done changed from 0 to 100
- Status changed from Open to Closed
Applied in changeset commit:qgis|e41346375582b6c01f2c88a801ed94b243da98ca.
